Loading...
Searching...
No Matches
spa_meta_sync_timeline Struct Reference
SPA » Buffers

`#include <spa/buffer/meta.h>`

## Data Fields

uint32_t | flags
uint32_t | padding
uint64_t | acquire_point
| the timeline acquire point, this is when the data can be accessed.
uint64_t | release_point
| the timeline release point, this timeline point should be signaled when the data is no longer accessed.

## Detailed Description

Examples
  video-play-sync.c, and video-src-sync.c.

## Field Documentation

## flags

uint32_t spa_meta_sync_timeline::flags

Examples
  video-play-sync.c, and video-src-sync.c.

## padding

uint32_t spa_meta_sync_timeline::padding

## acquire_point

uint64_t spa_meta_sync_timeline::acquire_point

the timeline acquire point, this is when the data can be accessed.

Examples
  video-play-sync.c, and video-src-sync.c.

## release_point

uint64_t spa_meta_sync_timeline::release_point

the timeline release point, this timeline point should be signaled when the data is no longer accessed.

Examples
  video-play-sync.c, and video-src-sync.c.

The documentation for this struct was generated from the following file:

- spa/buffer/meta.h